Skip to main content
GET
Get eligible in-app messages

Authorizations

Authorization
string
header
required

Your project's publishable key (pk_pub_…). Safe to expose in the browser — it identifies the project and is rate-limited, not secret.

Query Parameters

userId
string
required
Required string length: 1 - 256
entryId
string
required
Required string length: 1 - 256
requestId
string
required
Required string length: 1 - 256
path
string
required
Maximum string length: 2048
Pattern: ^/

Response

The user's eligible messages (may be empty).

messages
object[]
required
Maximum array length: 100
userId
string
required
Required string length: 1 - 256
entryId
string
required
Required string length: 1 - 256
requestId
string
required
Required string length: 1 - 256
evaluatedAt
number
required